<?php
require_once('autoload.include.php') ;

// Demande de deconnexion ?
User::logoutIfRequested() ;

$p = new WebPage('Authentification') ;

try {
    // Lecture depuis les données de session
    $u = User::createFromSession() ;

    $p->appendHeader(<<<HTML
            <form action='formSHA1.php' method='POST'>
            <a class="app-bar-element" href="formSHA1.php">Votre Profil</a>
            <span class="app-bar-divider"></span>
                <button name='logout' class="app-bar-element">Déconnexion de {$u->firstName()}</button>
                <span class="app-bar-divider"></span>
            </form>
            <span class="app-bar-divider"></span>
HTML
);
    
    // Tout va bien, on continue : affichage du profile et bouton déconnexion
	$p->appendContent(<<<HTML
        <h3>Les données de votre profil :</h3>
		
		{$u->profile()}
HTML
) ;
}
catch (NotInSessionException $e) {
    // Pas d'utilisateur trouvé dans la session, on propose le formulaire de connexion
    // Production du formulaire de connexion
    // Ceci doit etre fait avant tout envoi de données car cette méthode utilise les sessions
    $p->appendCSS(<<<CSS
    form input {
        width : 4em ;
    }
CSS
) ;
    $form = User::loginFormSHA1('index.php') ;
    $p->appendContent(<<<HTML
    {$form}
HTML
) ;
}

echo $p->toHTML() ;