<?php
require_once('autoload.include.php') ;

$p = new WebPage('VocaHelper') ;

if(User::isConnected()) {
	try {
		// Lecture depuis les données de session
		$u = User::createFromSession() ;
		// Sauvegarde dans la session (si connexion réussie)
		$u->saveIntoSession() ;
		$p->appendHeader(<<<HTML
			<form action='formSHA1.php' method='POST'>
			<a class="app-bar-element" href="formSHA1.php">Votre Profil</a>
    		<span class="app-bar-divider"></span>
				<button name='logout' class="app-bar-element">Déconnexion de {$u->firstName()}</button>
				<span class="app-bar-divider"></span>
			</form>
            <span class="app-bar-divider"></span>
HTML
);
		if($u->isAdmin()) {
			$p->appendContent(<<<HTML
<h2> Bonjour {$u->firstName()}, vous êtes un admin. \n Dans la V2 vous aurez la possibilité de voir ici un ecran d'ajout, de modification et de suppression de pictogrammes</h2>
<h2>Aujourd'hui, cette tâche se gère via clearDB</h2>
<h2>Tout le site est généré dynamiquement de façon très propre en php</h2>
HTML
) ;
		} else {
require_once('isotope.php');
		}
	}
	catch (notInSessionException $e) {
    // utilisateur connecté, c'est sur mais objet c'est pas sur que ce soit le même type
	$p->appendContent("ERREUR notInSessionException : " . $e);
    die() ;
	}
}
else {
	try {
	// Tentative de connexion
    $u = User::createFromAuthSHA1($_REQUEST) ;
    // Sauvegarde dans la session (si connexion réussie)
    $u->saveIntoSession() ;
	//?si on le met pas, ça marche car il est dans formSHA1 ?
	$p->appendHeader(<<<HTML
		<a class="app-bar-element" href="formSHA1.php">Votre Profil</a>
        <span class="app-bar-divider"></span>
			<form action='formSHA1.php' method='POST'>
				<button name='logout' class="app-bar-element">Déconnexion de {$u->firstName()}</button>
				<span class="app-bar-divider"></span>
			</form>
            <span class="app-bar-divider"></span>
HTML
);
	if($u->isAdmin()) {
			$p->appendContent(<<<HTML
<h3>Bonjour {$u->firstName()}, vous êtes un admin. Dans la V2 vous aurez la possibilité de voir ici un ecran d'ajout, de modification et de suppression de pictogramme.</h3>
<h3>Aujourd'hui, cette tâche se gère via clearDB</h3>
<h2>Tout le site est généré dynamiquement de façon très propre en php</h2>
HTML
);
		} else {
require_once('isotope.php');
			}
		}
	catch (AuthenticationException $e) {
		// Récuperation de l'exception si connexion échouée
		$p->appendContent("Échec d'authentification&nbsp;: {$e->getMessage()}") ;
		$p->appendContent("Vous allez être redirigez dans 3s") ;
		sleep(3);
		header('Location: formSHA1.php');
	}
	catch (Exception $e) {
		$p->appendContent("Un problème est survenu&nbsp;: {$e->getMessage()}") ;
	}
}

// Envoi du code HTML au navigateur du client
echo $p->toHTML() ;