<?php
require_once('mypdo.include.php') ;

/**
 * Pictogramme
 * Pictogramme issu de la base de donnes
 */
class Picto {
    /**
     * L'identifiant du picto
     * @var string $id
     */
    protected $pct_id        = null ;

    /**
     * l'image du picto
     * @var string $pct_img
     */
    protected $pct_img  = null ;

    /**
     * le nom du picto
     * @var XX $pct_nom
     */
    protected $pct_nom = null ;

    /**
     * le sound de l'image
     * @var XX $login
     */
    protected $pct_snd     = null ;

    /**
     * Cl de session  partir de laquelle les donnes sont stockes
     */
    const session_key = "__user__" ;

    /**
     * Constructeur priv
     */
    private function __construct() {
    }

    /**
     * Affiche un attr d'inst de picto
     *
     * @return string img
     */
    public function getPct_img() {
        return $this->pct_img;
    }

    /**
     * Affiche un attr d'inst de picto
     *
     * @return string nom
     */
    public function getPct_nom() {
        return $this->pct_nom;
    }

    /**
     * Affiche un attr d'inst de picto
     *
     * @return string snd
     */
    public function getPct_snd() {
        return $this->pct_snd;
    }

    /**
     * Retourne les categories d'un picotogramme par ordre croissant
     * @return array<Categorie> tableau d'instances de Categorie
     */
    public function getCategories()
    {
      $dbh=myPDO::getInstance();
      $sth = $dbh->prepare(<<< SQL
SELECT DISTINCT cat_id, cat_lib
FROM tb_categorie
INNER JOIN tb_picto
ON cat_id = {$this->pct_cat_id}
ORDER BY cat_lib
SQL
);
      $sth->setFetchMode(PDO::FETCH_CLASS,'Categorie');
      $sth->execute();
      $res = $sth->fetchAll();
      return $res;
    }
}